<template>
  <div>
    <el-dialog
      :close-on-click-modal="false"
      top="8vh"
      width="40%"
      :visible.sync="dialogVisible"
      center
      @close="handleCancel"
    >
      <div class="el-dialog-div">
      <el-form
        :rules="rules"
        ref="dataForm"
        :model="temp"
        label-position="right"
        label-width="120px"
        style="height: 90%;"
      >

                  <el-form-item label="支付id" prop="sellPayId"  class="is-required">
            <el-input v-model="temp.sellPayId" placeholder="支付id" />
          </el-form-item>

          <el-form-item label="销售单id" prop="sellId"  class="is-required">
            <el-input v-model="temp.sellId" placeholder="销售单id" />
          </el-form-item>

          <el-form-item label="支付方式名称" prop="payName"  class="is-required">
            <el-input v-model="temp.payName" placeholder="支付方式名称" />
          </el-form-item>

          <el-form-item label="1.卡金 2.扫码 3.现金  888.优惠 " prop="payType"  class="is-required">
            <el-input v-model="temp.payType" placeholder="1.卡金 2.扫码 3.现金  888.优惠 " />
          </el-form-item>

          <el-form-item label="金额" prop="amount"  class="is-required">
            <el-input v-model="temp.amount" placeholder="金额" />
          </el-form-item>


      </el-form>
      </div>

      <div slot="footer" class="dialog-footer">
        <el-button @click="handleCancel">取 消</el-button>
        <el-button type="primary" @click="submit">确 定</el-button>
      </div>
    </el-dialog>
  </div>
</template>

<script>
import {addSellpay} from "@/api/business/sellPay/sellPay";
import {setRequiredFields} from "@/utils";
const requiredFields = []
export default {
  name: "addForm",
  data() {
    return {
      rules: setRequiredFields(requiredFields),
      dialogVisible: false,
      temp: {
        sellPayId:'',
        sellId:'',
        payName:'',
        payType:'',
        amount:'',
      },
    }
  },
  methods: {
    open() {
      this.dialogVisible = true
    },
    submit() {
      this.$refs['dataForm'].validate((valid) => {
        if (valid) {
          addSellpay(this.temp).then(response =>{
            this.handleCancel()
            this.$emit('ok', response.data)
          })
        } else {
          console.log('error submit!!');
          return false;
        }
      });
    },
    handleCancel() {
      //初始化
      this.temp = this.$options.data().temp
      this.dialogVisible = false
      this.$refs['dataForm'].resetFields();
    }
  },
}
</script>

<style scoped>

</style>
